Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssOlapFileObject

All Superinterfaces:
  IEssBaseObject

public interface IEssOlapFileObject
extends IEssBaseObject

The IEssOlapFileObject is the OLAP store file object.

Field Summary
`static int` | `TYPE_ALIAS` Alias file object (*.alt).
`static int` | `TYPE_ALL`
`static int` | `TYPE_ASCBACKUP` ASCII backup file data object (*.bka).
`static int` | `TYPE_BACKUP`
`static int` | `TYPE_BINBACKUP` Binary backup file data object (*.bkb).
`static int` | `TYPE_CALCSCRIPT` Calc script file object (*.csc).
`static int` | `TYPE_DATA`
`static int` | `TYPE_EQD` EGD object (*.eqd).
`static int` | `TYPE_EXCEL` Excel worksheet file data object (*.xls).
`static int` | `TYPE_LOTUS2` 1-2-3 2.x worksheet file object (*.wk1).
`static int` | `TYPE_LOTUS3` 1-2-3 3.x worksheet file object (*.wk3).
`static int` | `TYPE_LOTUS4` 1-2-3 4.x Worksheet file object (*.wk4)
`static int` | `TYPE_LRO` LRO object (*.lro).
`static int` | `TYPE_MAX` maximum single object type value
`static int` | `TYPE_OUTLINE` Outline file object (*.otl).
`static int` | `TYPE_PARTITION` Partition defn file (*.ddb).
`static int` | `TYPE_REPORT` Report specification file object (*.rep).
`static int` | `TYPE_RULES` Rules file object (*.rul).
`static int` | `TYPE_SELECTION` Selection file object (*.sel).
`static int` | `TYPE_STRUCTURE` Structure file object (*.str).
`static int` | `TYPE_TEXT` Text File data object (*.txt).
`static int` | `TYPE_WIZARD` Wizard file object (*.wiz).
`static int` | `TYPE_WORKSHEET`

Method Summary
`java.lang.String` | `getApplicationName()` Gets the application name.
`java.lang.String` | `getCubeName()` Gets the cube name.
`int` | `getFileSize()` Gets the object's allocated file size on disk (in bytes).
`java.lang.String` | `getName()` Gets the object name.
`int[]` | `getTimeModified()` Gets the date and time of last modification.
`int` | `getTimeStamp()` Gets the date and time object was locked (if locked).
`int` | `getType()` Gets the object type.
`java.lang.String` | `getUserNameWhoLocked()` Gets the name of the user who has the object locked (if locked).
`boolean` | `isLocked()` Gets flag to indicate whether object is locked on the server.

Field Detail

### TYPE_OUTLINE

    public static final int TYPE_OUTLINE

  Outline file object (*.otl).

  See Also:
    Constant Field Values

### TYPE_CALCSCRIPT

    public static final int TYPE_CALCSCRIPT

  Calc script file object (*.csc).

  See Also:
    Constant Field Values

### TYPE_REPORT

    public static final int TYPE_REPORT

  Report specification file object (*.rep).

  See Also:
    Constant Field Values

### TYPE_RULES

    public static final int TYPE_RULES

  Rules file object (*.rul).

  See Also:
    Constant Field Values

### TYPE_ALIAS

    public static final int TYPE_ALIAS

  Alias file object (*.alt).

  See Also:
    Constant Field Values

### TYPE_STRUCTURE

    public static final int TYPE_STRUCTURE

  Structure file object (*.str).

  See Also:
    Constant Field Values

### TYPE_ASCBACKUP

    public static final int TYPE_ASCBACKUP

  ASCII backup file data object (*.bka).

  See Also:
    Constant Field Values

### TYPE_BINBACKUP

    public static final int TYPE_BINBACKUP

  Binary backup file data object (*.bkb).

  See Also:
    Constant Field Values

### TYPE_EXCEL

    public static final int TYPE_EXCEL

  Excel worksheet file data object (*.xls).

  See Also:
    Constant Field Values

### TYPE_LOTUS2

    public static final int TYPE_LOTUS2

  1-2-3 2.x worksheet file object (*.wk1).

  See Also:
    Constant Field Values

### TYPE_LOTUS3

    public static final int TYPE_LOTUS3

  1-2-3 3.x worksheet file object (*.wk3).

  See Also:
    Constant Field Values

### TYPE_TEXT

    public static final int TYPE_TEXT

  Text File data object (*.txt).

  See Also:
    Constant Field Values

### TYPE_LOTUS4

    public static final int TYPE_LOTUS4

  1-2-3 4.x Worksheet file object (*.wk4)

  See Also:
    Constant Field Values

### TYPE_WIZARD

    public static final int TYPE_WIZARD

  Wizard file object (*.wiz).

  See Also:
    Constant Field Values

### TYPE_PARTITION

    public static final int TYPE_PARTITION

  Partition defn file (*.ddb).

  See Also:
    Constant Field Values

### TYPE_SELECTION

    public static final int TYPE_SELECTION

  Selection file object (*.sel).

  See Also:
    Constant Field Values

### TYPE_LRO

    public static final int TYPE_LRO

  LRO object (*.lro).

  See Also:
    Constant Field Values

### TYPE_EQD

    public static final int TYPE_EQD

  EGD object (*.eqd).

  See Also:
    Constant Field Values

### TYPE_MAX

    public static final int TYPE_MAX

  maximum single object type value

  See Also:
    Constant Field Values

### TYPE_BACKUP

    public static final int TYPE_BACKUP

See Also:
  Constant Field Values

### TYPE_WORKSHEET

    public static final int TYPE_WORKSHEET

See Also:
  Constant Field Values

### TYPE_DATA

    public static final int TYPE_DATA

See Also:
  Constant Field Values

### TYPE_ALL

    public static final int TYPE_ALL

See Also:
  Constant Field Values

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the object name.

  Returns:
    The object name.
  Throws:
    `EssException` - if an error occurs.

### getType

    public int getType()
                throws EssException

  Gets the object type.

  Returns:
    The object type. Values from IEssOLAPFileObject.TYPE_*.
  Throws:
    `EssException` - if an error occurs.

### getApplicationName

    public java.lang.String getApplicationName()
                                        throws EssException

  Gets the application name.

  Returns:
    The application name.
  Throws:
    `EssException` - if an error occurs.

### getCubeName

    public java.lang.String getCubeName()
                                 throws EssException

  Gets the cube name.

  Returns:
    The cube name.
  Throws:
    `EssException` - if an error occurs.

### getFileSize

    public int getFileSize()
                    throws EssException

  Gets the object's allocated file size on disk (in bytes).

  Returns:
    The file size.
  Throws:
    `EssException` - if an error occurs.

### isLocked

    public boolean isLocked()
                     throws EssException

  Gets flag to indicate whether object is locked on the server.

  Returns:
    true if the object is locked.
  Throws:
    `EssException` - if an error occurs.

### getUserNameWhoLocked

    public java.lang.String getUserNameWhoLocked()
                                          throws EssException

  Gets the name of the user who has the object locked (if locked).

  Returns:
    The cube name.
  Throws:
    `EssException` - if an error occurs.

### getTimeStamp

    public int getTimeStamp()
                     throws EssException

  Gets the date and time object was locked (if locked).

  Returns:
    The date and time object was locked.
  Throws:
    `EssException` - if an error occurs.

### getTimeModified

    public int[] getTimeModified()
                          throws EssException

  Gets the date and time of last modification.

  Returns:
    The date and time of last modification.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD